# getInflationRate

Returns the specific inflation values for the current epoch.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## Returns

`result` The result will be an object with the following fields:

* `epoch` The epoch during which these values remain valid.
* `foundation` The proportion of total inflation allocated to the foundation.
* `total` The total inflation.
* `validator` The portion of inflation designated for validators.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"epoch": 741,
		"foundation": 0.0,
		"total": 0.047237663454945594,
		"validator": 0.047237663454945594
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getInflationRate"}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","id":1, "method":"getInflationRate"}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getinflationrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
